﻿using System;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace DemoCarroussel
{
    public class MainViewModel : INotifyPropertyChanged
    {
        public MainViewModel()
        {
            Items = ImageProvider.Items;
            OnPropertyChanged(nameof(Items));
        }

        public ObservableCollection<NatureItem> Items { get; }

        protected void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
        public event PropertyChangedEventHandler PropertyChanged;
    }
}
